## osso-systemui-dbus-dev 0.1.2

=== Makefile ===
# This file is part of osso-systemui-dbus-dev
#
# Copyright (C) 2005-2006 Nokia Corporation.
#
# Author: David Weinehall <david.weinehall@nokia.com>

INSTALL_DIR := install -d
INSTALL_DATA := install -o root -g root --mode=644

DOXYGEN := doxygen

PCDIR := $(DESTDIR)/usr/lib/pkgconfig
INCLUDEDIR := $(DESTDIR)/usr/include/systemui

TOPDIR := $(shell /bin/pwd)
INCDIR := $(TOPDIR)/include/systemui
DOCDIR := $(TOPDIR)/doc

PCFILE  := osso-systemui-dbus.pc
INCLUDE_FILES := \
	$(INCDIR)/dbus-names.h \
	$(INCDIR)/actingdead-dbus-names.h \
	$(INCDIR)/alarm_dialog-dbus-names.h

.PHONY: doc
doc:
	@$(DOXYGEN) 2> $(TOPDIR)/doc/warnings > /dev/null

clean:
	@if [ x"$(DOCDIR)" != x"" ]; then	\
		rm -rf $(DOCDIR)/*;		\
	fi

.PHONY: install
install: doc
	$(INSTALL_DIR) $(PCDIR) $(INCLUDEDIR)				&&\
	$(INSTALL_DATA) $(PCFILE) $(PCDIR)				&&\
	$(INSTALL_DATA) $(INCLUDE_FILES) $(INCLUDEDIR)

.PHONY: distclean
distclean: clean

=== debian/changelog ===
osso-systemui-dbus-dev (0.1.2) unstable; urgency=low

  * Various cleanups. Fixes: NB#42221

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 24 Oct 2006 12:25:07 +0300

osso-systemui-dbus-dev (0.1.1) unstable; urgency=low

  * Fix uploaders in debian/control.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 26 Sep 2006 13:02:57 +0300

osso-systemui-dbus-dev (0.1.0) unstable; urgency=low

  * Initial release.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 19 Sep 2006 19:57:32 +0300

=== debian/control ===
Source: osso-systemui-dbus-dev
Section: devel
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Uploaders: Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>
Build-Depends: debhelper (>= 4.1.0)
Build-Depends-Indep: doxygen
Standards-Version: 3.6.2.1

Package: osso-systemui-dbus-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}
Provides: osso-systemui-alarm-dev, osso-systemui-actingdead-dev
Replaces: osso-systemui-alarm-dev, osso-systemui-actingdead-dev
Conflicts: osso-systemui-dev (<< 0.1.7.0)
Description: Development files for system UI
 This package contains headers defining the DBus method calls
 provided by the system ui, and the signals emitted by it.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for osso-systemui-dbus-dev using debhelper.
# Copyright (C) 2004-2006 Nokia Corporation.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

package = osso-systemui-dbus-dev
pkgdir = $(CURDIR)/debian/tmp

pcfileversion=`grep -m1 '^Version' osso-systemui-dbus.pc | sed -e 's/Version: *//'`
changelogversion=`grep -m1 'osso-systemui-dbus-dev (' debian/changelog | sed -e 's/osso-systemui-dbus-dev (//;s/[)-].*//'`

.PHONY: clean
clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

.PHONY: check
check:
	@if [ x"$(pcfileversion)" != x"$(changelogversion)" ]; then \
		printf "error: version-number mismatch\n"; \
		printf "changelog version: $(changelogversion)\n"; \
		exit 1; \
	fi

.PHONY: build
build: check

.PHONY: install
install:
	$(MAKE) install DESTDIR="$(pkgdir)"

.PHONY: binary-indep
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_install -i
	dh_link
	dh_compress 
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary-arch
binary-arch: build install
# nothing to see here, move along

.PHONY: binary
binary: binary-indep binary-arch

## osso-systemui-dbus-dev 0.1.2%2b0m5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # This file is part of osso-systemui-dbus-dev
 #
-# Copyright (C) 2005-2006 Nokia Corporation.
+# Copyright (C) 2005-2006 Nokia Corporation.  All rights reserved.
 #
 # Author: David Weinehall <david.weinehall@nokia.com>

=== debian/changelog ===
osso-systemui-dbus-dev (0.1.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Tue, 14 Jul 2009 13:23:30 +0300

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
-# debian/rules for osso-systemui-dbus-dev using debhelper.
-# Copyright (C) 2004-2006 Nokia Corporation.
+# debian/rules for osso-systemuidbus--dev using debhelper.
+# Copyright (C) 2004-2006 Nokia.  All rights reserved.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -24,16 +24,9 @@
 
 	dh_clean 
 
-.PHONY: check
-check:
-	@if [ x"$(pcfileversion)" != x"$(changelogversion)" ]; then \
-		printf "error: version-number mismatch\n"; \
-		printf "changelog version: $(changelogversion)\n"; \
-		exit 1; \
-	fi
 
 .PHONY: build
-build: check
+build: 
 
 .PHONY: install
 install:

## osso-systemui-dbus-dev 0.1.3%2b0m5

=== debian/control ===
Source: osso-systemui-dbus-dev
Section: devel
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Uploaders: Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
Build-Depends: debhelper (>= 4.1.0)
Build-Depends-Indep: doxygen
Standards-Version: 3.6.2.1

Package: osso-systemui-dbus-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}
Provides: osso-systemui-alarm-dev, osso-systemui-actingdead-dev
Replaces: osso-systemui-alarm-dev, osso-systemui-actingdead-dev
Conflicts: osso-systemui-dev (<< 0.1.7.0)
Description: development files for system UI
 This package contains headers defining the DBus method calls
 provided by the system ui, and the signals emitted by it.

## osso-systemui-dbus-dev 0.1.3+0m5

=== debian/changelog ===
osso-systemui-dbus-dev (0.1.3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Wed, 11 Nov 2009 11:04:38 +0200

osso-systemui-dbus-dev (0.1.3) unstable; urgency=low

  * Add ALARM_DIALOG_NOT_RINGING

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Wed, 28 Oct 2009 15:14:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,13 @@
 
 	dh_clean 
 
+.PHONY: check
+check:
+	@if [ x"$(pcfileversion)" != x"$(changelogversion)" ]; then \
+		printf "error: version-number mismatch\n"; \
+		printf "changelog version: $(changelogversion)\n"; \
+		exit 1; \
+	fi
 
 .PHONY: build
 build:
